Skip Menu |
 

This queue is for tickets about the Module-Load-Conditional CPAN distribution.

Report information
The Basics
Id: 59767
Status: resolved
Worked: 10 min
Priority: 0/
Queue: Module-Load-Conditional

People
Owner: BINGOS [...] cpan.org
Requestors: jquelin [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: module::load::conditional breaks when loading modules with weird versions
Download (untitled) / with headers
text/plain 883b
"cpanplus o" fails with the following errors on some modules with weird version numbers: [ERROR] Invalid version format (non-numeric data) at /usr/lib/perl5/5.12.1/Module/Load/Conditional.pm line 301. following patch is taking care of this problem: --- Conditional.pm.orig 2010-07-24 15:40:38.644493259 +0200 +++ Conditional.pm 2010-07-24 15:40:18.538243306 +0200 @@ -298,10 +298,12 @@ ### Update from JPeacock: apparently qv() and version->new ### are different things, and we *must* use version->new ### here, or things like #30056 might start happening + eval { $href->{uptodate} = version->new( $args->{version} ) <= version->new( $href->{version} ) ? 1 : 0; + }; $href->{uptodate} = 0 if $@; } if ( $DEPRECATED and version->new($]) >= version->new('5.011') ) {
Thanks, this has been resolved in recent versions.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.